package com.cultural.heritage.model.dto.snapshot;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class GoodSnapshot implements Serializable {


    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private Double price;

    /**
     * 商品图片
     */
    private String goodImg;


    /**
     * 节日限定序号
     */
    private Integer festivalOrder;

    /**
     * 预约日期
     */
    private String reserveDate;


    @Serial
    private static final long serialVersionUID = 1L;
}
