package com.cultural.heritage.service.address;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.Address;

import java.util.List;

public interface AddressService extends IService<Address> {
    /**
     * 校验是否添加或更新了默认地址
     */
    void verifyIsDefault(Address address);


    /**
     * 根据userId获取用户地址
     */
    List<Address> getUserAddressById(Long id);


}
